<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EncryptionHeader (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EncryptionHeader (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EncryptionHeader.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/Decryptor.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/EncryptionHeader.html"
               target="_top">Frames</a></li>
        <li><a href="EncryptionHeader.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.crypt</div>
    <h2 title="Class EncryptionHeader" class="title">Class EncryptionHeader</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.crypt.EncryptionHeader</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/poifs/crypt/agile/AgileEncryptionHeader.html"
                           title="class in org.apache.poi.poifs.crypt.agile">AgileEncryptionHeader</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/binaryrc4/BinaryRC4EncryptionHeader.html"
                            title="class in org.apache.poi.poifs.crypt.binaryrc4">BinaryRC4EncryptionHeader</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/standard/StandardEncryptionHeader.html"
                            title="class in org.apache.poi.poifs.crypt.standard">StandardEncryptionHeader</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/xor/XOREncryptionHeader.html"
                            title="class in org.apache.poi.poifs.crypt.xor">XOREncryptionHeader</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">EncryptionHeader</span>
extends java.lang.Object
implements java.lang.Cloneable</pre>
                <div class="block">Reads and processes OOXML Encryption Headers
                    The constants are largely based on ZIP constants.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#ALGORITHM_AES_128">ALGORITHM_AES_128</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#ALGORITHM_AES_192">ALGORITHM_AES_192</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#ALGORITHM_AES_256">ALGORITHM_AES_256</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#ALGORITHM_RC4">ALGORITHM_RC4</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#HASH_NONE">HASH_NONE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#HASH_SHA1">HASH_SHA1</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#HASH_SHA256">HASH_SHA256</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#HASH_SHA384">HASH_SHA384</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#HASH_SHA512">HASH_SHA512</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#MODE_CBC">MODE_CBC</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#MODE_CFB">MODE_CFB</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#MODE_ECB">MODE_ECB</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#PROVIDER_AES">PROVIDER_AES</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#PROVIDER_RC4">PROVIDER_RC4</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#EncryptionHeader--">EncryptionHeader</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionHeader</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#getBlockSize--">getBlockSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">ChainingMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#getChainingMode--">getChainingMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#getCipherAlgorithm--">getCipherAlgorithm</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/CipherProvider.html"
                                        title="enum in org.apache.poi.poifs.crypt">CipherProvider</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#getCipherProvider--">getCipherProvider</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#getCspName--">getCspName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#getFlags--">getFlags</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#getHashAlgorithm--">getHashAlgorithm</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#getKeySalt--">getKeySalt</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#getKeySize--">getKeySize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#getSizeExtra--">getSizeExtra</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#setBlockSize-int-">setBlockSize</a></span>(int&nbsp;blockSize)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#setChainingMode-org.apache.poi.poifs.crypt.ChainingMode-">setChainingMode</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">ChainingMode</a>&nbsp;chainingMode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#setCipherAlgorithm-org.apache.poi.poifs.crypt.CipherAlgorithm-">setCipherAlgorithm</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a>&nbsp;cipherAlgorithm)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#setCipherProvider-org.apache.poi.poifs.crypt.CipherProvider-">setCipherProvider</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/CipherProvider.html"
                                        title="enum in org.apache.poi.poifs.crypt">CipherProvider</a>&nbsp;providerType)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#setCspName-java.lang.String-">setCspName</a></span>(java.lang.String&nbsp;cspName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#setFlags-int-">setFlags</a></span>(int&nbsp;flags)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#setHashAlgorithm-org.apache.poi.poifs.crypt.HashAlgorithm-">setHashAlgorithm</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;hashAlgorithm)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#setKeySalt-byte:A-">setKeySalt</a></span>(byte[]&nbsp;salt)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#setKeySize-int-">setKeySize</a></span>(int&nbsp;keyBits)</code>
                                    <div class="block">Sets the keySize (in bits).</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html#setSizeExtra-int-">setSizeExtra</a></span>(int&nbsp;sizeExtra)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="ALGORITHM_RC4">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ALGORITHM_RC4</h4>
                                <pre>public static final&nbsp;int ALGORITHM_RC4</pre>
                            </li>
                        </ul>
                        <a name="ALGORITHM_AES_128">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ALGORITHM_AES_128</h4>
                                <pre>public static final&nbsp;int ALGORITHM_AES_128</pre>
                            </li>
                        </ul>
                        <a name="ALGORITHM_AES_192">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ALGORITHM_AES_192</h4>
                                <pre>public static final&nbsp;int ALGORITHM_AES_192</pre>
                            </li>
                        </ul>
                        <a name="ALGORITHM_AES_256">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ALGORITHM_AES_256</h4>
                                <pre>public static final&nbsp;int ALGORITHM_AES_256</pre>
                            </li>
                        </ul>
                        <a name="HASH_NONE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HASH_NONE</h4>
                                <pre>public static final&nbsp;int HASH_NONE</pre>
                            </li>
                        </ul>
                        <a name="HASH_SHA1">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HASH_SHA1</h4>
                                <pre>public static final&nbsp;int HASH_SHA1</pre>
                            </li>
                        </ul>
                        <a name="HASH_SHA256">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HASH_SHA256</h4>
                                <pre>public static final&nbsp;int HASH_SHA256</pre>
                            </li>
                        </ul>
                        <a name="HASH_SHA384">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HASH_SHA384</h4>
                                <pre>public static final&nbsp;int HASH_SHA384</pre>
                            </li>
                        </ul>
                        <a name="HASH_SHA512">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HASH_SHA512</h4>
                                <pre>public static final&nbsp;int HASH_SHA512</pre>
                            </li>
                        </ul>
                        <a name="PROVIDER_RC4">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PROVIDER_RC4</h4>
                                <pre>public static final&nbsp;int PROVIDER_RC4</pre>
                            </li>
                        </ul>
                        <a name="PROVIDER_AES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PROVIDER_AES</h4>
                                <pre>public static final&nbsp;int PROVIDER_AES</pre>
                            </li>
                        </ul>
                        <a name="MODE_ECB">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MODE_ECB</h4>
                                <pre>public static final&nbsp;int MODE_ECB</pre>
                            </li>
                        </ul>
                        <a name="MODE_CBC">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MODE_CBC</h4>
                                <pre>public static final&nbsp;int MODE_CBC</pre>
                            </li>
                        </ul>
                        <a name="MODE_CFB">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>MODE_CFB</h4>
                                <pre>public static final&nbsp;int MODE_CFB</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EncryptionHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EncryptionHeader</h4>
                                <pre>protected&nbsp;EncryptionHeader()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getChainingMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChainingMode</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                                                    title="enum in org.apache.poi.poifs.crypt">ChainingMode</a>&nbsp;getChainingMode()</pre>
                            </li>
                        </ul>
                        <a name="setChainingMode-org.apache.poi.poifs.crypt.ChainingMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChainingMode</h4>
                                <pre>protected&nbsp;void&nbsp;setChainingMode(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">ChainingMode</a>&nbsp;chainingMode)</pre>
                            </li>
                        </ul>
                        <a name="getFlags--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlags</h4>
                                <pre>public&nbsp;int&nbsp;getFlags()</pre>
                            </li>
                        </ul>
                        <a name="setFlags-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFlags</h4>
                                <pre>protected&nbsp;void&nbsp;setFlags(int&nbsp;flags)</pre>
                            </li>
                        </ul>
                        <a name="getSizeExtra--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSizeExtra</h4>
                                <pre>public&nbsp;int&nbsp;getSizeExtra()</pre>
                            </li>
                        </ul>
                        <a name="setSizeExtra-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSizeExtra</h4>
                                <pre>protected&nbsp;void&nbsp;setSizeExtra(int&nbsp;sizeExtra)</pre>
                            </li>
                        </ul>
                        <a name="getCipherAlgorithm--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCipherAlgorithm</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a>&nbsp;getCipherAlgorithm()</pre>
                            </li>
                        </ul>
                        <a name="setCipherAlgorithm-org.apache.poi.poifs.crypt.CipherAlgorithm-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCipherAlgorithm</h4>
                                <pre>protected&nbsp;void&nbsp;setCipherAlgorithm(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a>&nbsp;cipherAlgorithm)</pre>
                            </li>
                        </ul>
                        <a name="getHashAlgorithm--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHashAlgorithm</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                                    title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;getHashAlgorithm()</pre>
                            </li>
                        </ul>
                        <a name="setHashAlgorithm-org.apache.poi.poifs.crypt.HashAlgorithm-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHashAlgorithm</h4>
                                <pre>protected&nbsp;void&nbsp;setHashAlgorithm(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;hashAlgorithm)</pre>
                            </li>
                        </ul>
                        <a name="getKeySize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getKeySize</h4>
                                <pre>public&nbsp;int&nbsp;getKeySize()</pre>
                            </li>
                        </ul>
                        <a name="setKeySize-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setKeySize</h4>
                                <pre>protected&nbsp;void&nbsp;setKeySize(int&nbsp;keyBits)</pre>
                                <div class="block">Sets the keySize (in bits). Before calling this method, make sure
                                    to set the cipherAlgorithm, as the amount of keyBits gets validated against
                                    the list of allowed keyBits of the corresponding cipherAlgorithm
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>keyBits</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBlockSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlockSize</h4>
                                <pre>public&nbsp;int&nbsp;getBlockSize()</pre>
                            </li>
                        </ul>
                        <a name="setBlockSize-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBlockSize</h4>
                                <pre>protected&nbsp;void&nbsp;setBlockSize(int&nbsp;blockSize)</pre>
                            </li>
                        </ul>
                        <a name="getKeySalt--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getKeySalt</h4>
                                <pre>public&nbsp;byte[]&nbsp;getKeySalt()</pre>
                            </li>
                        </ul>
                        <a name="setKeySalt-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setKeySalt</h4>
                                <pre>protected&nbsp;void&nbsp;setKeySalt(byte[]&nbsp;salt)</pre>
                            </li>
                        </ul>
                        <a name="getCipherProvider--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCipherProvider</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/CipherProvider.html"
                                                    title="enum in org.apache.poi.poifs.crypt">CipherProvider</a>&nbsp;getCipherProvider()</pre>
                            </li>
                        </ul>
                        <a name="setCipherProvider-org.apache.poi.poifs.crypt.CipherProvider-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCipherProvider</h4>
                                <pre>protected&nbsp;void&nbsp;setCipherProvider(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/CipherProvider.html"
                                        title="enum in org.apache.poi.poifs.crypt">CipherProvider</a>&nbsp;providerType)</pre>
                            </li>
                        </ul>
                        <a name="getCspName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCspName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getCspName()</pre>
                            </li>
                        </ul>
                        <a name="setCspName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCspName</h4>
                                <pre>protected&nbsp;void&nbsp;setCspName(java.lang.String&nbsp;cspName)</pre>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionHeader</a>&nbsp;clone()
                       throws java.lang.CloneNotSupportedException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.CloneNotSupportedException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EncryptionHeader.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/Decryptor.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/EncryptionHeader.html"
               target="_top">Frames</a></li>
        <li><a href="EncryptionHeader.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
